Bug 140186 - unable to startx: no screens found
unable to startx: no screens found
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-20 14:51 EST by David Elwell
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-28 21:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Elwell 2004-11-20 14:51:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Fedora Core 3 is unable to run X. "fatal server error: no screens
found." My nVidia card has a RIVA-128ZX chip, which worked fine under
Fedora Core 2. The current driver can't configure a screen for RIVA128.
The log file directs me to http://wiki.X.Org, which is down today.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 3
2. Boot at runlevel 3 or 5
3. Startx fails: "fatal server error: no screens found"
    

Actual Results:  Non-graphic screen presents login prompt.

Additional info:

Here's the end of the Xorg.0.log file:

(II) RIVA128(0): Initializing int10
(II) RIVA128(0): Primary V_BIOS segment is: 0xc000
(EE) RIVA128(0): Given depth (16) is not supported by this driver
(II) UnloadModule: "nv"
(II) UnloadModule: "int10"
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) UnloadModule: "riva128"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
	 at http://wiki.X.Org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional
information.
Comment 1 Need Real Name 2004-11-22 11:09:33 EST
I have the same issue, with an ASUS 5950.  If I start with runlevel 5
I get the same issue and I have to say no to xconfig trying to
corrrect the issue then just reinstall the nvidia driver and it will
startx.  If I start in run level 3 everything works fine.  If it does
fail initially in runlevel 3 I just have to reinstall the nvidia
driver and from then on its good.  Run level 5 is just messing things
up for me.
Comment 2 Need Real Name 2004-11-22 11:10:11 EST
I have the same issue, with an ASUS 5950.  If I start with runlevel 5
I get the same issue and I have to say no to xconfig trying to
corrrect the issue then just reinstall the nvidia driver and it will
startx.  If I start in run level 3 everything works fine.  If it does
fail initially in runlevel 3 I just have to reinstall the nvidia
driver and from then on its good.  Run level 5 is just messing things
up for me.
Comment 3 Mike A. Harris 2004-11-22 15:47:10 EST
Sounds like a bug in our config tool perhaps, rather than the
'nv' driver.  The driver is saying "I don't support 16bpp" so
I assume that our config tool is trying to configure it to use
16bpp, which causes it to complain.

In this case, it's not a bug that the driver does not support
16bpp, it is the lack of the 16bpp feature.  16bpp will never
be supported on this chip in the xorg driver, so our config
tool must make sure to never configure 16bpp on this chip if
the driver does not support it.

Please attach the X server log file from the failed startup,
and the config file that was created during installation as
individual uncompressed file attachments using the link below.
If you do not have the original config, you can regenerate
it with "system-config-display --reconfig".

Once you've attached these files, I will review them to see
if there is any other obvious bug.  I'll reassign to the config
tool if it seems clear to me that there's no video driver bug.

Thanks in advance.
Comment 4 David Elwell 2004-11-22 23:08:20 EST
Mike--

I don't know what you mean by "the config file," but I'm attaching
Xorg.0.log and Xorg.setup.log from /var/log. If Xorg.setup.log isn't
the file you need, please tell me the filename I should be looking for.

Here's Xorg.0.log:


X Window System Version 6.8.1
Release Date: 17 September 2004
X Protocol Version 11, Revision 0, Release 6.8.1
Build Operating System: Linux 2.4.21-14.ELsmp i686 [ELF] 
Current Operating System: Linux localhost.localdomain 2.6.9-1.667 #1
Tue Nov 2 14:41:25 EST 2004 i686
Build Date: 20 October 2004
Build Host: tweety.build.redhat.com
 
	Before reporting problems, check http://wiki.X.Org
	to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.6.9-1.667
(bhcompile@tweety.build.redhat.com) (gcc version 3.4.2 20041017 (Red
Hat 3.4.2-6.fc3)) #1 Tue Nov 2 14:41:25 EST 2004 
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Nov 22 21:54:37 2004
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Videocard0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(II) Open APM successful
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.2
	X.Org Video Driver: 0.7
	X.Org XInput driver : 0.4
	X.Org Server Extension : 0.2
	X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.7
(++) using VT number 7

(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7190 card 0000,0000 rev 02 class 06,00,00
hdr 00
(II) PCI: 00:01:0: chip 8086,7191 card 0000,0000 rev 02 class 06,04,00
hdr 01
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 02 class 06,01,00
hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80
hdr 00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00
hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00
hdr 00
(II) PCI: 00:0b:0: chip 1013,6001 card 8086,8080 rev 01 class 04,01,00
hdr 00
(II) PCI: 00:0e:0: chip 11de,6120 card 1328,f001 rev 03 class 04,00,00
hdr 00
(II) PCI: 00:0f:0: chip 1274,5880 card 1274,8001 rev 04 class 04,01,00
hdr 00
(II) PCI: 01:00:0: chip 12d2,0018 card 10b4,222a rev 21 class 03,00,00
hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x008c (VGA_EN is set)
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xf5000000 - 0xf5ffffff (0x1000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:7:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is
set)
(--) PCI: (0:14:0) unknown vendor (0x11de) unknown chipset (0x6120)
rev 3, Mem @ 0xf4101000/12
(--) PCI:*(1:0:0) NVidia / SGS Thomson (Joint Venture) Riva128 rev 33,
Mem @ 0xf5000000/24, 0xfc000000/24
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xf8000000 from 0xfbffffff to
0xf7ffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xf4000000 - 0xf40fffff (0x100000) MX[B]
	[1] -1	0	0xf4100000 - 0xf4100fff (0x1000) MX[B]
	[2] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[3] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[4] -1	0	0xf5000000 - 0xf5ffffff (0x1000000) MX[B](B)
	[5] -1	0	0xf4101000 - 0xf4101fff (0x1000) MX[B](B)
	[6] -1	0	0x00001000 - 0x0000103f (0x40) IX[B]
	[7] -1	0	0x00001040 - 0x0000105f (0x20) IX[B]
	[8] -1	0	0x00001060 - 0x0000106f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xf4000000 - 0xf40fffff (0x100000) MX[B]
	[1] -1	0	0xf4100000 - 0xf4100fff (0x1000) MX[B]
	[2] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[3] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[4] -1	0	0xf5000000 - 0xf5ffffff (0x1000000) MX[B](B)
	[5] -1	0	0xf4101000 - 0xf4101fff (0x1000) MX[B](B)
	[6] -1	0	0x00001000 - 0x0000103f (0x40) IX[B]
	[7] -1	0	0x00001040 - 0x0000105f (0x20) IX[B]
	[8] -1	0	0x00001060 - 0x0000106f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xf4000000 - 0xf40fffff (0x100000) MX[B]
	[6] -1	0	0xf4100000 - 0xf4100fff (0x1000) MX[B]
	[7] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[8] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[9] -1	0	0xf5000000 - 0xf5ffffff (0x1000000) MX[B](B)
	[10] -1	0	0xf4101000 - 0xf4101fff (0x1000) MX[B](B)
	[11] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[13] -1	0	0x00001000 - 0x0000103f (0x40) IX[B]
	[14] -1	0	0x00001040 - 0x0000105f (0x20) IX[B]
	[15] -1	0	0x00001060 - 0x0000106f (0x10) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 0.0.2
	ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 6.8.1, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "nv"
(II) Loading /usr/X11R6/lib/modules/drivers/nv_drv.o
(II) Module nv: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) LoadModule: "kbd"
(II) Loading /usr/X11R6/lib/modules/input/kbd_drv.o
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) NV: driver for NVIDIA chipsets: RIVA 128, RIVA TNT, RIVA TNT2,
	Unknown TNT2, Vanta, RIVA TNT2 Ultra, RIVA TNT2 Model 64,
	Aladdin TNT2, GeForce 256, GeForce DDR, Quadro, GeForce2 MX/MX 400,
	GeForce2 MX 100/200, GeForce2 Go, Quadro2 MXR/EX/Go,
	GeForce2 Integrated GPU, GeForce2 GTS, GeForce2 Ti, GeForce2 Ultra,
	Quadro2 Pro, GeForce4 MX 460, GeForce4 MX 440, GeForce4 MX 420,
	GeForce4 MX 440-SE, GeForce4 440 Go, GeForce4 420 Go,
	GeForce4 420 Go 32M, GeForce4 460 Go, GeForce4 440 Go 64M,
	GeForce4 410 Go 16M, Quadro4 500 GoGL, Quadro4 550 XGL, Quadro4 NVS,
	GeForce4 MX 440 with AGP8X, GeForce4 MX 440SE with AGP8X,
	GeForce4 MX 420 with AGP8X, GeForce4 448 Go, GeForce4 488 Go,
	Quadro4 580 XGL, Quadro4 280 NVS, Quadro4 380 XGL,
	GeForce4 MX Integrated GPU, GeForce3, GeForce3 Ti 200,
	GeForce3 Ti 500, Quadro DCC, GeForce4 Ti 4600, GeForce4 Ti 4400,
	0x0252, GeForce4 Ti 4200, Quadro4 900 XGL, Quadro4 750 XGL,
	Quadro4 700 XGL, GeForce4 Ti 4800, GeForce4 Ti 4200 with AGP8X,
	GeForce4 Ti 4800 SE, GeForce4 4200 Go, Quadro4 700 GoGL,
	Quadro4 980 XGL, Quadro4 780 XGL, GeForce FX 5800 Ultra,
	GeForce FX 5800, Quadro FX 2000, Quadro FX 1000,
	GeForce FX 5600 Ultra, GeForce FX 5600, 0x0313, GeForce FX 5600SE,
	0x0316, 0x0317, GeForce FX Go5600, GeForce FX Go5650,
	Quadro FX Go700, 0x031D, 0x031E, 0x031F, GeForce FX 5200,
	GeForce FX 5200 Ultra, GeForce FX 5200, GeForce FX 5200SE,
	GeForce FX Go5200, GeForce FX Go5250, GeForce FX Go5200 32M/64M,
	0x0329, Quadro NVS 280 PCI, Quadro FX 500, GeForce FX Go5300,
	GeForce FX Go5100, 0x032F, GeForce FX 5900 Ultra, GeForce FX 5900,
	GeForce FX 5900XT, GeForce FX 5950 Ultra, 0x0334, Quadro FX 3000,
	GeForce FX 5700 Ultra, GeForce FX 5700, GeForce FX 5700LE,
	GeForce FX 5700VE, 0x0345, GeForce FX Go5700, GeForce FX Go5700,
	0x0349, 0x034B, Quadro FX Go1000, Quadro FX 1100, 0x034F
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset RIVA 128 found
(II) Loading sub module "riva128"
(II) LoadModule: "riva128"
(II) Loading /usr/X11R6/lib/modules/drivers/riva128.o
(II) Module riva: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 0.7
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xf4000000 - 0xf40fffff (0x100000) MX[B]
	[6] -1	0	0xf4100000 - 0xf4100fff (0x1000) MX[B]
	[7] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[8] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[9] -1	0	0xf5000000 - 0xf5ffffff (0x1000000) MX[B](B)
	[10] -1	0	0xf4101000 - 0xf4101fff (0x1000) MX[B](B)
	[11] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[13] -1	0	0x00001000 - 0x0000103f (0x40) IX[B]
	[14] -1	0	0x00001040 - 0x0000105f (0x20) IX[B]
	[15] -1	0	0x00001060 - 0x0000106f (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xf4000000 - 0xf40fffff (0x100000) MX[B]
	[6] -1	0	0xf4100000 - 0xf4100fff (0x1000) MX[B]
	[7] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[8] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[9] -1	0	0xf5000000 - 0xf5ffffff (0x1000000) MX[B](B)
	[10] -1	0	0xf4101000 - 0xf4101fff (0x1000) MX[B](B)
	[11] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[12] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[13] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[14] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[15] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[16] -1	0	0x00001000 - 0x0000103f (0x40) IX[B]
	[17] -1	0	0x00001040 - 0x0000105f (0x20) IX[B]
	[18] -1	0	0x00001060 - 0x0000106f (0x10) IX[B]
	[19] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[20] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="X.Org Foundation"
	compiled for 6.8.1, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.7
(II) RIVA128(0): Initializing int10
(II) RIVA128(0): Primary V_BIOS segment is: 0xc000
(EE) RIVA128(0): Given depth (16) is not supported by this driver
(II) UnloadModule: "nv"
(II) UnloadModule: "int10"
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) UnloadModule: "riva128"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
	 at http://wiki.X.Org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional
information.

And here's Xorg.setup.log:


X Window System Version 6.8.1
Release Date: 17 September 2004
X Protocol Version 11, Revision 0, Release 6.8.1
Build Operating System: Linux 2.4.21-14.ELsmp i686 [ELF] 
Current Operating System: Linux localhost.localdomain 2.6.9-1.667 #1
Tue Nov 2 14:41:25 EST 2004 i686
Build Date: 20 October 2004
Build Host: tweety.build.redhat.com
 
	Before reporting problems, check http://wiki.X.Org
	to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.6.9-1.667
(bhcompile@tweety.build.redhat.com) (gcc version 3.4.2 20041017 (Red
Hat 3.4.2-6.fc3)) #1 Tue Nov 2 14:41:25 EST 2004 
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/dev/null", Time: Mon Nov 22 22:33:03 2004
(++) Using config file: "/tmp/tmpa6yFbsxorg.config"
(EE) RIVA128(0): Given depth (16) is not supported by this driver
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
	 at http://wiki.X.Org
 for help. 
Please also check the log file at "/dev/null" for additional information.

Comment 5 Tim Henness 2004-11-28 13:21:04 EST
I got this when I installed Fedora Core too, on a system with a Viper
V330 (Riva 128 based).  I have circumvented the problem by editing
/etc/X11/xorg.conf.  Where the file originally had:


Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     16
	SubSection "Display"
		Viewport   0 0
		Depth     16
		Modes    "800x600" "640x480"
	EndSubSection
EndSection


I changed it to read:


Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection
Comment 6 David Elwell 2004-11-28 21:22:07 EST
Tim--

That did the trick.

I edited xorg.conf as you did, changing DefaultDepth and Depth to 24
and adding "1152x864" and "1024x768" to Modes.

I'm now logged in, using X.

Thanks for the tip.
Comment 7 Alan Sanderson 2004-12-19 06:38:38 EST
I can confirm this problem. After installation opon booting into
Fedora Core 3 the system runs upto decompressing initrd at then hangs
for approximately an hour. Then the system continues and finally X.org
wont boot. Editing /etc/X11/xorg.config as suggested in <a
href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=140186#c5"comment
#5</a> and then running init 3 followed by init 5 solves the problem.
However there is still the problem (for me) of the system taking an
hour between decompressing initrd and running the rest of the system. 

System is a PII 300 on LX based motherboard with a Riva128 based
graphics card.

Note You need to log in before you can comment on or make changes to this bug.